# eric3.VCS.subversionPackage.ProjectHelper

Module implementing the VCS project helper for Subversion.

### Classes

SvnProjectHelper | Class implementing the VCS project helper for Subversion.

### Functions

None

## SvnProjectHelper

Class implementing the VCS project helper for Subversion.

### Derived from

VcsProjectHelper

### Methods

SvnProjectHelper | Constructor
initActions | Private method to generate the action objects.
initMenu | Private method to generate the VCS menu.
svnBranchList | Private slot used to list the branches of the project.
svnExtendedDiff | Private slot used to perform a svn diff with the selection of revisions.
svnPropDel | Private slot used to delete a property for the project files.
svnPropList | Private slot used to list the properties of the project files.
svnPropSet | Private slot used to set a property for the project files.
svnResolve | Private slot used to resolve conflicts of the local project.
svnTagList | Private slot used to list the tags of the project.

### SvnProjectHelper (Constructor)

SvnProjectHelper(vcsObject, projectObject, parent=None, name=None)

Constructor

vcsObject
  reference to the vcs object
projectObject
  reference to the project object
parent
  parent widget (QWidget)
name
  name of this object (string or QString)

### SvnProjectHelper.initActions

initActions()

Private method to generate the action objects.

### SvnProjectHelper.initMenu

initMenu()

Private method to generate the VCS menu.

### SvnProjectHelper.svnBranchList

svnBranchList()

Private slot used to list the branches of the project.

### SvnProjectHelper.svnExtendedDiff

svnExtendedDiff()

Private slot used to perform a svn diff with the selection of revisions.

### SvnProjectHelper.svnPropDel

svnPropDel()

Private slot used to delete a property for the project files.

### SvnProjectHelper.svnPropList

svnPropList()

Private slot used to list the properties of the project files.

### SvnProjectHelper.svnPropSet

svnPropSet()

Private slot used to set a property for the project files.

### SvnProjectHelper.svnResolve

svnResolve()

Private slot used to resolve conflicts of the local project.

### SvnProjectHelper.svnTagList

svnTagList()

Private slot used to list the tags of the project.

Up